mmocr.apis
-------------
.. automodule:: mmocr.apis
    :members:


mmocr.core
-------------
evaluation
^^^^^^^^^^
.. automodule:: mmocr.core.evaluation
    :members:


mmocr.utils
-------------
.. automodule:: mmocr.utils
    :members:


mmocr.models
---------------
Common Backbones
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
.. automodule:: mmocr.models.common.backbones
    :members:

.. automodule:: mmocr.models.common.losses
    :members:

Text Detection Detectors
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
.. automodule:: mmocr.models.textdet.detectors
    :members:

Text Detection Heads
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
.. automodule:: mmocr.models.textdet.dense_heads
    :members:

Text Detection Necks
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
.. automodule:: mmocr.models.textdet.necks
    :members:

Text Detection Losses
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
.. automodule:: mmocr.models.textdet.losses
    :members:

Text Detection Postprocessors
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
.. automodule:: mmocr.models.textdet.postprocess
    :members:

Text Recognition Recognizer
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
.. automodule:: mmocr.models.textrecog.recognizer
    :members:

Text Recognition Backbones
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
.. automodule:: mmocr.models.textrecog.backbones
    :members:

Text Recognition Necks
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
.. automodule:: mmocr.models.textrecog.necks
    :members:

Text Recognition Heads
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
.. automodule:: mmocr.models.textrecog.heads
    :members:

Text Recognition Preprocessors
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
.. automodule:: mmocr.models.textrecog.preprocessor
    :members:

Text Recognition Backbones
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
.. automodule:: mmocr.models.textrecog.backbones
    :members:

Text Recognition Layers
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
.. automodule:: mmocr.models.textrecog.layers
    :members:

Text Recognition Convertors
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
.. automodule:: mmocr.models.textrecog.convertors
    :members:

Text Recognition Encoders
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
.. automodule:: mmocr.models.textrecog.encoders
    :members:

Text Recognition Decoders
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
.. automodule:: mmocr.models.textrecog.decoders
    :members:

Text Recognition Fusers
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
.. automodule:: mmocr.models.textrecog.fusers
    :members:

Text Recognition Losses
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
.. automodule:: mmocr.models.textrecog.losses
    :members:

KIE Extractors
^^^^^^^^^^^^^^
.. automodule:: mmocr.models.kie.extractors
    :members:

KIE Heads
^^^^^^^^^^^
.. automodule:: mmocr.models.kie.heads
    :members:

KIE Losses
^^^^^^^^^^^
.. automodule:: mmocr.models.kie.losses
    :members:

NER Encoders
^^^^^^^^^^^^
.. automodule:: mmocr.models.ner.encoders
    :members:

NER Decoders
^^^^^^^^^^^^
.. automodule:: mmocr.models.ner.decoders
    :members:

NER Losses
^^^^^^^^^^^
.. automodule:: mmocr.models.ner.losses
    :members:

mmocr.datasets
-----------------
.. automodule:: mmocr.datasets
    :members:

datasets
^^^^^^^^^^^
.. automodule:: mmocr.datasets.base_dataset
    :members:

.. automodule:: mmocr.datasets.icdar_dataset
    :members:

.. automodule:: mmocr.datasets.ocr_dataset
    :members:

.. automodule:: mmocr.datasets.ocr_seg_dataset
    :members:

.. automodule:: mmocr.datasets.text_det_dataset
    :members:

.. automodule:: mmocr.datasets.kie_dataset
    :members:


pipelines
^^^^^^^^^^^
.. automodule:: mmocr.datasets.pipelines
    :members:

utils
^^^^^^^^^^^
.. automodule:: mmocr.datasets.utils
    :members:
